### Method

# Foundry KeyRotator can_rotate

since: 1.1

#### Declaration [src]

    gboolean
    foundry_key_rotator_can_rotate (
      FoundryKeyRotator* self,
      const char* host,
      const char* service_name,
      const char* secret
    )

#### Description [src]

Checks if the key rotator can rotate the API key for the given host and service name.

Available since: 1.1

#### Parameters

`host`

  Type: `const char*`

  The host name for the API key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`service_name`

  Type: `const char*`

  The service name for the API key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`secret`

  Type: `const char*`

  The current secret value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the key can be rotated, `FALSE` otherwise.